Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.media.opengl.awt
Interface ComponentEvents

All Known Subinterfaces:
  AWTGLAutoDrawable

All Known Implementing Classes:
  GLCanvas, GLJPanel

    public interface ComponentEvents

Factors out the listener manipulation for the events supported by all of the `GLDrawable` implementations. Provided to reduce clutter in the documentation for GLDrawable.

Method Summary
`void` | `addComponentListener(ComponentListener l)`
`void` | `addFocusListener(FocusListener l)`
`void` | `addHierarchyBoundsListener(HierarchyBoundsListener l)`
`void` | `addHierarchyListener(HierarchyListener l)`
`void` | `addInputMethodListener(InputMethodListener l)`
`void` | `addKeyListener(KeyListener l)`
`void` | `addMouseListener(MouseListener l)`
`void` | `addMouseMotionListener(MouseMotionListener l)`
`void` | `addMouseWheelListener(MouseWheelListener l)`
`void` | `addPropertyChangeListener(PropertyChangeListener listener)`
`void` | `addPropertyChangeListener(String propertyName, PropertyChangeListener listener)`
`void` | `removeComponentListener(ComponentListener l)`
`void` | `removeFocusListener(FocusListener l)`
`void` | `removeHierarchyBoundsListener(HierarchyBoundsListener l)`
`void` | `removeHierarchyListener(HierarchyListener l)`
`void` | `removeInputMethodListener(InputMethodListener l)`
`void` | `removeKeyListener(KeyListener l)`
`void` | `removeMouseListener(MouseListener l)`
`void` | `removeMouseMotionListener(MouseMotionListener l)`
`void` | `removeMouseWheelListener(MouseWheelListener l)`
`void` | `removePropertyChangeListener(PropertyChangeListener listener)`
`void` | `removePropertyChangeListener(String propertyName, PropertyChangeListener listener)`

Method Detail

### addComponentListener

    void addComponentListener(ComponentListener l)

### removeComponentListener

    void removeComponentListener(ComponentListener l)

### addFocusListener

    void addFocusListener(FocusListener l)

### removeFocusListener

    void removeFocusListener(FocusListener l)

### addHierarchyBoundsListener

    void addHierarchyBoundsListener(HierarchyBoundsListener l)

### removeHierarchyBoundsListener

    void removeHierarchyBoundsListener(HierarchyBoundsListener l)

### addHierarchyListener

    void addHierarchyListener(HierarchyListener l)

### removeHierarchyListener

    void removeHierarchyListener(HierarchyListener l)

### addInputMethodListener

    void addInputMethodListener(InputMethodListener l)

### removeInputMethodListener

    void removeInputMethodListener(InputMethodListener l)

### addKeyListener

    void addKeyListener(KeyListener l)

### removeKeyListener

    void removeKeyListener(KeyListener l)

### addMouseListener

    void addMouseListener(MouseListener l)

### removeMouseListener

    void removeMouseListener(MouseListener l)

### addMouseMotionListener

    void addMouseMotionListener(MouseMotionListener l)

### removeMouseMotionListener

    void removeMouseMotionListener(MouseMotionListener l)

### addMouseWheelListener

    void addMouseWheelListener(MouseWheelListener l)

### removeMouseWheelListener

    void removeMouseWheelListener(MouseWheelListener l)

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener listener)

### addPropertyChangeListener

    void addPropertyChangeListener(String propertyName,
                                   PropertyChangeListener listener)

### removePropertyChangeListener

    void removePropertyChangeListener(String propertyName,
                                      PropertyChangeListener listener)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2005 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.